
/* Definitions of modules and its relations for generating Doxygen documentation */

/** @defgroup genericadt ADT
 * @ingroup kernel
 */

/** @defgroup genericconsole Console
 * @ingroup kernel
 */
 
/** @defgroup genericipc IPC
 * @ingroup kernel
 * @brief Interprocess communication protocol
 */
 
/** @defgroup genericklog KLog
 * @brief Kernel logging facility
 * @ingroup kernel
 */

 /** @defgroup main Main
 * @ingroup kernel
 */

 /** @defgroup sync Synchronization
 * @ingroup kernel
 */
 
/** @defgroup cpu CPU
 * @ingroup kernel
 */
 
	/** @defgroup genericcpu generic
	* @ingroup cpu
	*/
 
	/** @defgroup amd64cpu amd64
	* @ingroup cpu
	*/
 
	/** @defgroup ia32cpu ia32
	* @ingroup cpu
	*/
 
	/** @defgroup ia64cpu ia64
	* @ingroup cpu
	*/
 
	/** @defgroup mips32cpu mips32
	* @ingroup cpu
	*/
 
	/** @defgroup ppc32cpu ppc32
	* @ingroup cpu
	*/
 
	/** @defgroup ppc64cpu ppc64
	* @ingroup cpu
	*/
 
	/** @defgroup sparc64cpu sparc64
	* @ingroup cpu
	*/

/** @defgroup ddi Device Driver Interface
 * @ingroup kernel
 */

	/** @defgroup genericddi generic
	* @ingroup ddi
 	*/

 	/** @defgroup amd64ddi amd64
	* @ingroup ddi
	 */

 	/** @defgroup ia32ddi ia32
	* @ingroup ddi
	 */

 	/** @defgroup ia64ddi ia64
	* @ingroup ddi
	 */

 	/** @defgroup mips32ddi mips32
	* @ingroup ddi
	 */

 	/** @defgroup ppc32ddi ppc32
	* @ingroup ddi
	 */

 	/** @defgroup ppc64ddi ppc64
	* @ingroup ddi
	 */

 	/** @defgroup sparc64ddi sparc64
	* @ingroup ddi
	 */

 /** @defgroup debug Debug
 * @ingroup kernel
 */
 
	/** @defgroup genericdebug generic
	* @ingroup debug
	*/
 
	/** @defgroup amd64debug ia32/amd64
	 * @ingroup debug
	 */

	/** @defgroup ia64debug ia64
	 * @ingroup debug
	 */

	/** @defgroup mips32debug mips32
	 * @ingroup debug
	 */

	/** @defgroup ppc32debug ppc32
	 * @ingroup debug
	 */

	/** @defgroup ppc64debug ppc64
	 * @ingroup debug
	 */

	/** @defgroup sparc64debug sparc64
	 * @ingroup debug
	 */

 /** @defgroup interrupt Interrupt
  * @ingroup kernel
  */
	/** @defgroup genericinterrupt generic
	* @ingroup interrupt
	*/

	/** @defgroup amd64interrupt amd64
	* @ingroup interrupt
	*/

	/** @defgroup ia32interrupt ia32
	* @ingroup interrupt
	*/

	/** @defgroup ia64interrupt ia64
	* @ingroup interrupt
	*/

	/** @defgroup mips32interrupt mips32
	* @ingroup interrupt
	*/

	/** @defgroup ppc32interrupt ppc32
	* @ingroup interrupt
	*/

	/** @defgroup ppc64interrupt ppc64
	* @ingroup interrupt
	*/

	/** @defgroup sparc64interrupt sparc64
	* @ingroup interrupt
	*/

 /** @defgroup mm Memory management
  * @ingroup kernel
  */
 
	/** @defgroup genericmm generic
	* @ingroup mm
	*/
 
	/** @defgroup genarchmm genarch
	* @ingroup mm
	*/
 	
	/** @defgroup amd64mm amd64	
	* @ingroup mm
	*/
	
	/** @defgroup ia32mm ia32
	* @ingroup mm
	*/
	
	/** @defgroup ia64mm ia64	
	* @ingroup mm
	*/
	
	/** @defgroup mips32mm mips32
	* @ingroup mm
	*/
	
	/** @defgroup ppc32mm ppc32
	* @ingroup mm
	*/
	
	/** @defgroup ppc64mm ppc64	
	* @ingroup mm
	*/
	
	/** @defgroup sparc64mm sparc64	
	* @ingroup mm
	*/
	
 /**
 * @defgroup proc Proc
 * @ingroup kernel
 */
 
	/** @defgroup genericproc generic
	* @ingroup proc
	*/
 	
	/** @defgroup amd64proc amd64
	 * @ingroup proc
	 */

	/** @defgroup ia32proc ia32
	 * @ingroup proc
	 */

	/** @defgroup ia64proc ia64
	 * @ingroup proc
	 */

	/** @defgroup mips32proc mips32
	 * @ingroup proc
	 */

	/** @defgroup ppc32proc ppc32
	 * @ingroup proc
	 */

	/** @defgroup ppc64proc ppc64
	 * @ingroup proc
	 */

	/** @defgroup sparc64proc sparc64
	 * @ingroup proc
	 */

/** @defgroup others Others
 * @ingroup kernel
 */
	/** @defgroup generic generic	
	* @ingroup others
	*/

	/** @defgroup genarch genarch
	* @ingroup others
	*/
 	
	/** @defgroup amd64 amd64
	* @ingroup others
	*/

	/** @defgroup ia32 ia32
	* @ingroup others
	*/

	/** @defgroup ia64 ia64
	* @ingroup others
	*/

	/** @defgroup mips32 mips32
	* @ingroup others
	*/

	/** @defgroup ppc32 ppc32
	* @ingroup others
	*/

	/** @defgroup ppc64 ppc64
	* @ingroup others
	*/

	/** @defgroup sparc64 sparc64
	* @ingroup others
	*/

